Last Comment Bug 663393 - Maemo6/Meego VKB doues not work properly without meegotouch
: Maemo6/Meego VKB doues not work properly without meegotouch
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Widget: Qt (show other bugs)
: Trunk
: ARM MeeGo
: -- normal (vote)
: ---
Assigned To: Oleg Romashin (:romaxa)
:
Mentors:
Depends on:
Blocks: 583150
  Show dependency treegraph
 
Reported: 2011-06-10 07:56 PDT by Oleg Romashin (:romaxa)
Modified: 2016-07-11 21:54 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Minimal patch for fennec (12.02 KB, patch)
2011-06-10 07:57 PDT, Oleg Romashin (:romaxa)
no flags Details | Diff | Splinter Review
Add meegotouch support for meego 1.2 (12.38 KB, patch)
2011-06-10 07:59 PDT, Oleg Romashin (:romaxa)
no flags Details | Diff | Splinter Review
Updated patch, fixed some minor issues (9.87 KB, patch)
2011-06-16 16:31 PDT, Oleg Romashin (:romaxa)
doug.turner: review+
Details | Diff | Splinter Review
Another possible version (not yet completely working) (3.74 KB, patch)
2011-06-16 16:33 PDT, Oleg Romashin (:romaxa)
no flags Details | Diff | Splinter Review

Description Oleg Romashin (:romaxa) 2011-06-10 07:56:03 PDT
Latest Meego 1.2 and maemo6 SDK/VKB implementations still having some problems with VKB rotation on applications without meegotouch enabled (Pure Qt app)

https://bugs.meego.com/show_bug.cgi?id=15554

sounds like we need optional support for meegotouch toplevel widget if meegotouch available
Comment 1 Oleg Romashin (:romaxa) 2011-06-10 07:57:42 PDT
Created attachment 538510 [details] [diff] [review]
Minimal patch for fennec

sounds like we should land it for current meego release.
Comment 2 Oleg Romashin (:romaxa) 2011-06-10 07:59:51 PDT
Created attachment 538514 [details] [diff] [review]
Add meegotouch support for  meego 1.2
Comment 3 Oleg Romashin (:romaxa) 2011-06-16 16:31:15 PDT
Created attachment 539931 [details] [diff] [review]
Updated patch, fixed some minor issues
Comment 4 Oleg Romashin (:romaxa) 2011-06-16 16:33:31 PDT
Created attachment 539932 [details] [diff] [review]
Another possible version (not yet completely working)
Comment 5 Doug Turner (:dougt) 2011-06-17 11:35:56 PDT
I am not really sure what you want to do with the other version.  should we push  attachment 539931 [details] [diff] [review]?
Comment 6 Oleg Romashin (:romaxa) 2011-06-23 03:10:58 PDT
I think we should push first version.
Comment 7 Oleg Romashin (:romaxa) 2011-06-25 09:19:26 PDT
http://hg.mozilla.org/mozilla-central/rev/a70f3a49de17

Note You need to log in before you can comment on or make changes to this bug.